org.richfaces.taglib

## Class BeanValidatorTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.faces.webapp.ValidatorELTag
    - - org.richfaces.taglib.BeanValidatorTag

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class BeanValidatorTag
      extends javax.faces.webapp.ValidatorELTag

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanValidatorTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.validator.Validator` | `createValidator()`
    `void` | `setBinding(javax.el.ValueExpression binding)` Set the expression that will be used to create a `ValueExpression` that references a backing bean property of the `HibernateValidator` instance to be created.
    `void` | `setSummary(javax.el.ValueExpression __summary)` Summary message for a validation errors.

    - ### Methods inherited from class javax.faces.webapp.ValidatorELTag

      `doStartTag`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanValidatorTag

          public BeanValidatorTag()

  - ### Method Detail

    - #### setSummary

          public void setSummary(javax.el.ValueExpression __summary)

      Summary message for a validation errors. Setter for summary
      Parameters:
        `summary` - - new value

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Set the expression that will be used to create a `ValueExpression` that references a backing bean property of the `HibernateValidator` instance to be created.

      Parameters:
        `binding` - The new expression

    - #### createValidator

          protected javax.faces.validator.Validator createValidator()
                                                             throws javax.servlet.jsp.JspException

      Specified by:
        `createValidator` in class `javax.faces.webapp.ValidatorELTag`
      Throws:
        `javax.servlet.jsp.JspException`

Copyright © 2014. All Rights Reserved.